import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import '../../dfapi_app.dart';

class LoginPage extends StatelessWidget {
  const LoginPage({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var size = MediaQuery.of(context).size;
    return Container(
      color: Colors.white,
      alignment: Alignment.center,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          SvgPicture.asset(
            "assets/svg/fingerprint.svg",
            height: size.width * .7,
          ),
          SizedBox(height: 15),
          Container(
            width: size.width * .7,
            child: FlatButton.icon(
              onPressed: () {
                DfApiApp.functions.logIn();
              },
              icon: Icon(Icons.lock_open_outlined),
              label: Text(
                "Log In",
                style: TextStyle(fontSize: 20),
              ),
              color: Colors.blue,
              textColor: Colors.white,
              height: 40,
              shape: RoundedRectangleBorder(
                borderRadius: BorderRadius.circular(7),
              ),
            ),
          )
        ],
      ),
    );
  }
}
